From 101701788dbbccf23d17ec6722a450077867ed4e Mon Sep 17 00:00:00 2001
From: Guo Xinle <guoxinle1@huawei.com>
Date: Mon, 22 Feb 2021 11:00:36 +0800
Subject: [PATCH 2/3] Code comments: Modify incorrect code comments

Correct incorrect code comments and spelling errors.

Signed-off-by: Guo Xinle <guoxinle1@huawei.com>
---
 device_model/src/virtio/balloon.rs | 8 ++++----
 device_model/src/virtio/block.rs   | 2 +-
 device_model/src/virtio/console.rs | 2 +-
 device_model/src/virtio/net.rs     | 8 ++++----
 4 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/device_model/src/virtio/balloon.rs b/device_model/src/virtio/balloon.rs
index 470e866..7a58555 100644
--- a/device_model/src/virtio/balloon.rs
+++ b/device_model/src/virtio/balloon.rs
@@ -797,13 +797,13 @@ mod tests {
         };
 
         let mut balloon = Balloon::new(bln_cfg);
-        let wriet_data = [0, 0, 0, 0, 1, 0, 0, 0];
+        let write_data = [0, 0, 0, 0, 1, 0, 0, 0];
         let mut random_data: Vec<u8> = vec![0; 8];
         let addr = 0x00;
         assert_eq!(balloon.get_memory_size(), 0);
         balloon.actual = 1;
         balloon.read_config(addr, &mut random_data).unwrap();
-        assert_eq!(random_data, wriet_data);
+        assert_eq!(random_data, write_data);
     }
 
     #[test]
@@ -813,10 +813,10 @@ mod tests {
         };
 
         let mut balloon = Balloon::new(bln_cfg);
-        let wriet_data = [1, 0, 0, 0];
+        let write_data = [1, 0, 0, 0];
         let addr = 0x00;
         assert_eq!(balloon.get_memory_size(), 0);
-        balloon.write_config(addr, &wriet_data).unwrap();
+        balloon.write_config(addr, &write_data).unwrap();
         assert_eq!(balloon.actual, 1);
     }
 }
diff --git a/device_model/src/virtio/block.rs b/device_model/src/virtio/block.rs
index 74d5894..e04ef26 100644
--- a/device_model/src/virtio/block.rs
+++ b/device_model/src/virtio/block.rs
@@ -762,7 +762,7 @@ impl Block {
 }
 
 impl VirtioDevice for Block {
-    /// Realize vhost virtio network device.
+    /// Realize virtio block device.
     fn realize(&mut self) -> Result<()> {
         // if iothread not found, return err
         if self.blk_cfg.iothread.is_some()
diff --git a/device_model/src/virtio/console.rs b/device_model/src/virtio/console.rs
index 4cfbc63..adfbe44 100644
--- a/device_model/src/virtio/console.rs
+++ b/device_model/src/virtio/console.rs
@@ -325,7 +325,7 @@ impl Console {
 }
 
 impl VirtioDevice for Console {
-    /// Realize vhost virtio network device.
+    /// Realize virtio console device.
     fn realize(&mut self) -> Result<()> {
         self.device_features = 1_u64 << VIRTIO_F_VERSION_1 | 1_u64 << VIRTIO_CONSOLE_F_SIZE;
 
diff --git a/device_model/src/virtio/net.rs b/device_model/src/virtio/net.rs
index 1ddc253..658603e 100644
--- a/device_model/src/virtio/net.rs
+++ b/device_model/src/virtio/net.rs
@@ -556,7 +556,7 @@ impl Net {
 }
 
 impl VirtioDevice for Net {
-    /// Realize vhost virtio network device.
+    /// Realize virtio network device.
     fn realize(&mut self) -> Result<()> {
         // if iothread not found, return err
         if self.net_cfg.iothread.is_some()
@@ -762,14 +762,14 @@ mod tests {
         assert_eq!(net.queue_size(), 256);
 
         // test read_config and write_config method
-        let wriet_data: Vec<u8> = vec![7; 4];
+        let write_data: Vec<u8> = vec![7; 4];
         let mut random_data: Vec<u8> = vec![0; 4];
         let mut origin_data: Vec<u8> = vec![0; 4];
         net.read_config(0x00, &mut origin_data).unwrap();
 
-        net.write_config(0x00, &wriet_data).unwrap();
+        net.write_config(0x00, &write_data).unwrap();
         net.read_config(0x00, &mut random_data).unwrap();
-        assert_eq!(random_data, wriet_data);
+        assert_eq!(random_data, write_data);
 
         net.write_config(0x00, &origin_data).unwrap();
 
-- 
2.27.0

